Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.identity
Class UserGroupLifeCycleManagerDecorator

    java.lang.Object
      org.jbpm.services.task.identity.AbstractUserGroupCallbackDecorator
          org.jbpm.services.task.identity.UserGroupLifeCycleManagerDecorator

All Implemented Interfaces:
  LifeCycleManager

    @Decorator
    public class UserGroupLifeCycleManagerDecorator

extends AbstractUserGroupCallbackDecorator
implements LifeCycleManager

Constructor Summary
`UserGroupLifeCycleManagerDecorator()`

Method Summary
`LifeCycleManager` | `getManager()`
`void` | `setManager(LifeCycleManager manager)`
`void` | `taskOperation(org.kie.internal.task.api.model.Operation operation, long taskId, String userId, String targetEntityId, Map<String,Object> data, List<String> groupIds)`

Methods inherited from class org.jbpm.services.task.identity.AbstractUserGroupCallbackDecorator
`addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, persistIfNotExists, setPm, setUserGroupCallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserGroupLifeCycleManagerDecorator

    public UserGroupLifeCycleManagerDecorator()

Method Detail

### setManager

    public void setManager(LifeCycleManager manager)

### getManager

    public LifeCycleManager getManager()

### taskOperation

    public void taskOperation(org.kie.internal.task.api.model.Operation operation,
                              long taskId,
                              String userId,
                              String targetEntityId,
                              Map<String,Object> data,
                              List<String> groupIds)
                       throws TaskException

  Specified by:
    `taskOperation` in interface `LifeCycleManager`
  Throws:
    `TaskException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.